#
# For a description of the syntax of this configuration file,
# see misc/tools/kconfig-language.txt.
#
config LCD_MAXCONTRAST
	int "LCD maximum contrast"
	default 63 if NOKIA6100_S1D15G10
	default 127 if NOKIA6100_PCF8833
	default 255 if LCD_P14201
	default 63
	---help---
		must be 63 with the Epson controller and 127 with
		the Phillips controller.

config LCD_MAXPOWER
	int "LCD maximum power"
	default 1
	---help---
		Maximum value of backlight setting.  The backlight
		control is managed outside of the 6100 driver so this value has no
		meaning to the driver.  Board-specific logic may place restrictions on
		this value.

config LCD_P14201
	bool "Rit P1402 series display"
	default n
	---help---
		p14201.c.  Driver for RiT P14201 series display with SD1329 IC
		controller.  This OLED is used with older versions of the
		TI/Luminary LM3S8962 Evaluation Kit.
if LCD_P14201
config P14201_NINTERFACES
	int "Number of physical P14201 devices"
	default 1
	range 1,1
	---help---
		Specifies the number of physical P14201
		devices that will be supported.

config P14201_SPIMODE
	int "SPI mode"
	default 2
	range 0,3
	---help---
		Controls the SPI mode

config P14201_FREQUENCY
	int "SPI frequency"
	default 1000000
	---help---
		Define to use a different bus frequency,FIXME DEFAULT VALUE OK?

config P14201_FRAMEBUFFER
	bool "Enable P14201 GDDRAM cache"
	default y
	---help---
		If defined, accesses will be performed
		using an in-memory copy of the OLEDs GDDRAM.  This cost of this
		buffer is 128 * 96 / 2 = 6Kb.  If this is defined, then the driver
		will be fully functional. If not, then it will have the following
		limitations:
		
		Reading graphics memory cannot be supported, and
		
		All pixel writes must be aligned to byte boundaries.
		The latter limitation effectively reduces the 128x96 disply to 64x96.
endif

config LCD_NOKIA6100
	bool "Nokia 6100 display support" 
	default n
	---help---
		nokia6100.c.  Supports the Nokia 6100 display with either the Philips
		PCF883 or the Epson S1D15G10 display controller.  This LCD is used
		with the Olimex LPC1766-STK (but has not been fully integrated).
if LCD_NOKIA6100
config NOKIA6100_NINTERFACES
	int "Number of physical NOKIA6100 devices"
	default 1
	range 1,1
	---help---
		Specifies the number of physical Nokia
		6100 devices that will be supported.

choice NOKIA6100_CONTROLLER
	prompt "Controller Setup"
	default NOKIA6100_S1D15G10
config NOKIA6100_S1D15G10
	bool "S1D15G10 controller"
	---help---
		Selects the Epson S1D15G10 display controller

config NOKIA6100_PCF8833
	bool "PCF8833 controller"
	---help---
		Selects the Phillips PCF8833 display controller
endchoice

config NOKIA6100_SPIMODE
	int "SPI mode"
	default 0
	range 0,3
	---help---
		Controls the SPI mode

config NOKIA6100_FREQUENCY
	int "SPI frequency"
	default 1000000
	---help---
		Define to use a different bus frequency

config NOKIA6100_BLINIT
	bool "Back light initial"
	default n
	---help---
		Initial backlight setting
		The following may need to be tuned for your hardware:

config NOKIA6100_BPP
	int "Display bits per pixel"
	default 8
	---help---
		Device supports 8, 12, and 16 bits per pixel.

config NOKIA6100_INVERT
	int "Display inversion"
	default 1
	range 0,1
	---help---
		Display inversion, 0 or 1, Default: 1

config NOKIA6100_MY
	int "Display row direction"
	default 0
	range 0,1
	---help---
		Display row direction, 0 or 1, Default: 0

config NOKIA6100_MX
	int "Display column direction"
	default 1
	range 0,1
	---help---
		Display column direction, 0 or 1, Default: 1

config NOKIA6100_V
	int "Display address direction"
	default 0
	range 0,1
	---help---
		Display address direction, 0 or 1, Default: 0

config NOKIA6100_ML
	int "Display scan direction"
	default 0
	range 0,1
	---help---
		Display scan direction, 0 or 1, Default: 0

config NOKIA6100_RGBORD
	int "Display RGB order"
	default 0
	range 0,1
	---help---
		Display RGB order, 0 or 1, Default: 0
		Required LCD driver settings:
endif

config LCD_UG9664HSWAG01
	bool "9664HSWAG01 OLED Display Module"
	default n
	---help---
		ug-9664hswag01.c.  OLED Display Module, UG-9664HSWAG01", Univision
		Technology Inc.  Used with the LPC Xpresso and Embedded Artists
		base board.

choice
	prompt "LCD Orientation"
	default LCD_LANDSCAPE
	depends on LCD
	---help---
		Some LCD drivers may support displays in different orientations.
		If the LCD driver supports this capability, than these are configuration
		options to select that display orientation.

config LCD_LANDSCAPE
	bool "Landscape orientation"
	---help---
		Define for "landscape" orientation support.  Landscape mode refers one
		of two orientations where the the display is wider than it is tall
		(LCD_RLANDSCAPE is the other).  This is the default orientation.

config LCD_PORTRAIT
	bool "Portrait orientation"
	---help---
		Define for "portrait" orientation support.  Portrait mode refers one
		of two orientations where the the display is taller than it is wide
		(LCD_RPORTAIT is the other).

config LCD_RPORTRAIT
	bool "Reverse portrait display"
	---help---
		Define for "reverse portrait" orientation support.  Reverse portrait mode
		refers one of two orientations where the the display is taller than it is
		wide (LCD_PORTAIT is the other).

config LCD_RLANDSCAPE
	bool "Reverse landscape orientation"
	---help---
		Define for "reverse landscape" orientation support.  Reverse landscape mode
		refers one of two orientations where the the display is wider than it is
		tall (LCD_LANDSCAPE is the other).

endchoice
